Delete Project
curl --request DELETE \
--url https://api.chainstack.com/v1/projects/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chainstack.com/v1/projects/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chainstack.com/v1/projects/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "<string>",
"message": "<string>"
}
}Project v1
Delete a project with the Chainstack Platform API
Delete a project and its associated resources from Chainstack using the Platform API. Send a DELETE request to /v1/projects// identified by project ID.
DELETE
/
v1
/
projects
/
{id}
/
Delete Project
Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'
All API requests must be made over HTTPS.
Path Parameters
A unique value identifying the Object.
Response
No response body
Last modified on May 4, 2026
Was this page helpful?